Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
OsiAuxInfo Class Reference

This class allows for a more structured use of algorithmic tweaking to an OsiSolverInterface. More...

`#include <OsiAuxInfo.hpp>`

Inheritance diagram for OsiAuxInfo:
[legend]

## Public Member Functions
| OsiAuxInfo (void *appData=NULL)
| OsiAuxInfo (const OsiAuxInfo &rhs)
virtual | ~OsiAuxInfo ()
virtual OsiAuxInfo * | clone () const
| Clone. More...
OsiAuxInfo & | operator= (const OsiAuxInfo &rhs)
| Assignment operator. More...
void * | getApplicationData () const
| Get application data. More...

## Protected Attributes
void * | appData_
| Pointer to user-defined data structure. More...

## Detailed Description

This class allows for a more structured use of algorithmic tweaking to an OsiSolverInterface.

It is designed to replace the simple use of appData_ pointer.

This has been done to make it easier to use NonLinear solvers and other exotic beasts in a branch and bound mode. After this class definition there is one for a derived class for just such a purpose.

Definition at line 21 of file OsiAuxInfo.hpp.

## Constructor & Destructor Documentation

OsiAuxInfo::OsiAuxInfo | ( | void * | appData = `NULL` | ) |

OsiAuxInfo::OsiAuxInfo | ( | const OsiAuxInfo & | rhs | ) |

virtual OsiAuxInfo::~OsiAuxInfo | ( |  | ) |
| virtual

## Member Function Documentation

virtual OsiAuxInfo* OsiAuxInfo::clone | ( |  | ) | const
| virtual

Clone.

Reimplemented in OsiBabSolver.

OsiAuxInfo& OsiAuxInfo::operator= | ( | const OsiAuxInfo & | rhs | ) |

Assignment operator.

void* OsiAuxInfo::getApplicationData | ( |  | ) | const
| inline

Get application data.

Definition at line 37 of file OsiAuxInfo.hpp.

## Member Data Documentation

void* OsiAuxInfo::appData_
| protected

Pointer to user-defined data structure.

Definition at line 44 of file OsiAuxInfo.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/Osi/src/Osi/OsiAuxInfo.hpp